/* $Id: sample.cc,v 1.4 91/02/25 15:48:03 jdf Exp $ */

#include <stream.h>
#include "WWL/TopLevelShell.h"
#include "WWL/XmPushButton.h"

extern "C" void exit (int);

static void
do_quit (Widget w, caddr_t, caddr_t)
{
  static int once;

  if (! once++)
    {
      WXmPushButton pushb(w);

      pushb.LabelString("Goodbye Cruel World");
    }
  else
    exit (0);
}

int
main(Cardinal argc, char* argv[])
{
  WTopLevelShell toplevel(XtInitialize ("sample", "Sample", NULL, 0, &argc, argv));
  WXmPushButton pushb (toplevel, "Hello World");

  pushb.Width (200);
  pushb.Height (100);
  
  pushb.AddActivateCallback (do_quit, NULL);
  pushb.Manage ();

  toplevel.Realize ();

  XtMainLoop ();
}
