#include <stream.h>
#include "WWL/TopLevelShell.h"
#include "WWL/XmPushButton.h"

extern "C" void exit (int);

class HelloWorld : public WWL {
protected :
	WTopLevelShell	toplevel;
	WXmPushButton	pushb;
static	int		once;

	void	HandleQuit (WCallback*);
public :
		HelloWorld (unsigned, char*[]);
};

HelloWorld :: HelloWorld (unsigned argc, char* argv[])
: toplevel (XtInitialize ("sample", "Sample", NULL, 0, &argc, argv)),
  pushb (toplevel, "Hello World")
{
	toplevel.Width (200);
	toplevel.Height (100);
	/*
	 * I add a method here as callback
	 */
	pushb.SetActivateCallback (this, (WWL_FUN)&HelloWorld::HandleQuit);
	pushb.Manage ();
	toplevel.Realize ();
}

void
HelloWorld :: HandleQuit (WCallback*)
{
	if (! once++)
		pushb.LabelString("Goodbye Cruel World");
	else
		exit (0);
}

int
main(Cardinal argc, char* argv[])
{
	HelloWorld hw(argc, argv);
	XtMainLoop ();
}
